Name: libmlx4
Version: 1.0.2
Release: 1%{?dist}
Summary: Mellanox ConnectX InfiniBand HCA Userspace Driver
Provides: libibverbs-driver.%{_arch}
Group: System Environment/Libraries
License: GPLv2 or BSD
Url: http://openfabrics.org/
Source: http://openfabrics.org/downloads/mlx4/%{name}-%{version}.tar.gz
Source1: libmlx4-modprobe.conf
Source2: libmlx4-mlx4.conf
Source3: libmlx4-setup-mlx4.awk
Patch0: 0004-Add-IBoE-support.patch
Patch1: 0005-Add-IBoE-UD-VLANs-support.patch
Patch2: 0006-Align-the-list-of-supported-ConnectX-devices-with-ke.patch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Provides: libmlx4-devel = %{version}-%{release}
BuildRequires: libibverbs-devel > 1.1.4
%ifnarch ia64
BuildRequires: valgrind-devel
%endif
ExcludeArch: s390 s390x

%description
libmlx4 provides a device-specific userspace driver for Mellanox
ConnectX HCAs for use with the libibverbs library.

%package static
Summary: Static version of the libmlx4 driver
Group: System Environment/Libraries
Provides: %{name}-devel-static = %{version}-%{release}
Obsoletes: %{name}-devel-static <= 1.0.1-1
Requires: %{name} = %{version}-%{release}

%description static
Static version of libmlx4 that may be linked directly to an
application, which may be useful for debugging.

%prep
%setup -q
%patch0 -p1 -b .iboe
%patch1 -p1 -b .vlan
%patch2 -p1 -b .ids

%build
%ifnarch ia64
%configure --with-valgrind
%else
%configure
%endif
make CFLAGS="$CFLAGS -fno-strict-aliasing" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} install
install -D -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/modprobe.d/libmlx4.conf
install -D -m 644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/ofed/mlx4.conf
install -D -m 644 %{SOURCE3} ${RPM_BUILD_ROOT}%{_sysconfdir}/ofed/setup-mlx4.awk
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la $RPM_BUILD_ROOT%{_libdir}/libmlx4.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/libmlx4-rdmav2.so
%{_sysconfdir}/libibverbs.d/mlx4.driver
%{_sysconfdir}/modprobe.d/libmlx4.conf
%config(noreplace) %{_sysconfdir}/ofed/mlx4.conf
%{_sysconfdir}/ofed/setup-mlx4.awk
%doc AUTHORS COPYING README

%files static
%defattr(-,root,root,-)
%{_libdir}/libmlx4.a

%changelog
* Thu Aug 09 2012 Doug Ledford <dledford@redhat.com> - 1.0.2-1.el5
- Backport rhel6.3 changes to rhel5.9
- Related: bz771441

* Fri Oct 28 2011 Jay Fenlason <fenlason@redhat.com> 1.0.1-7.el5
- Change libmlx4-modprobe.conf to close
  Resolves: bz709987

* Wed May 04 2011 Jay Fenlason <fenlason@redhat.com> 1.0.1-6.el5
- change build-requires from valgrind to valgrind-devel to make this
  actually build
  Related: bz670887 Add new PCI IDs to libmlx4

* Tue May 03 2011 Jay Fenlason <fenlason@redhat.com>
- Add three more PCI IDs
  Resolves: bz670887 Add new PCI IDs to libmlx4

* Wed Mar 03 2010 Doug Ledford <dledford@redhat.com> - 1.0.1-5.el5
- Add two missing PCI IDs
- Resolves: bz569175

* Thu Feb 18 2010 Doug Ledford <dledford@redhat.com> - 1.0.1-4.el5
- Add pseudo provides of libibverbs-driver
- Related: bz559789

* Mon Dec 21 2009 Doug Ledford <dledford@redhat.com> - 1.0.1-3.el5
- Pull various fixes out of upstream git repo that are queued for next release
- Resolves: bz511190
- Related: bz518218

* Mon Jun 22 2009 Doug Ledford <dledford@redhat.com> - 1.0.1-2.el5
- Rebuild against libibverbs that isn't missing the proper ppc wmb() macro
- Related: bz506258

* Sun Jun 21 2009 Doug Ledford <dledford@redhat.com> - 1.0.1-1.el5
- Update to upstream bug fix release
- Compile against non-XRC libibverbs
- Enable valgrind annotations
- Related: bz506258, bz504284
- Resolves: bz505553

* Wed Apr 15 2009 Doug Ledford <dledford@redhat.com> - 1.0-5.el5.xrc
- Add xrc support from OFED 1.4.1-rc3
- Add support for setting port types at core module load time
- Related: bz459652

* Wed Sep 17 2008 Doug Ledford <dledford@redhat.com> - 1.0-4
- Bump and rebuild against latest libibverbs
- Resolves: bz451457

* Tue Apr 01 2008 Doug Ledford <dledford@redhat.com> - 1.0-3
- Add a modprobe conf file so that the mlx4 IB driver will get loaded after
  the core driver is loaded
- Related: bz428197

* Thu Feb 14 2008 Doug Ledford <dledford@redhat.com> - 1.0-2
- Obsolete the old -devel package
- Related: bz432765

* Tue Jan 15 2008 Doug Ledford <dledford@redhat.com> - 1.0-1
- Initial import of driver into CVS.  Steal spec file from existing libmthca.
- Related: bz428197

